/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/



/* COR DOS LINKS */
.brxe-text a {
	color:var(--cor-acao);
}


/* BOTÕES ESMAECEM NO HOVER */
.bricks-button:hover {
    opacity: 0.8;
}


/* ESPAÇAMENTO SUPERIOR EM PÁGINAS CRIADAS COM GUTEMBERG */
article {
	padding-top:var(--distancia-m);
	padding-bottom:var(--distancia-m);
}



/*==================================
==       MATRIZ BREAKPOINTS       ==
====================================
                \  /
                 \/               */

/* Desktop G */
@media (min-width:1921px) {

}

/* Note G e Desktop P */
@media (min-width: 1367px) and (max-width:1920px) {

}

/* Notebook P */
@media (min-width: 821px) and (max-width:1366px) {

}

/* Tablet */
@media (min-width: 481px) and (max-width:820px) {

}

/* Celular */
@media (max-width:480px) {

}

/*               /\
                /  \
====================================
==       MATRIZ BREAKPOINTS       ==
==================================*/



/*==================================
==      BOTÕES EDIÇÃO BRICKS      ==
====================================
                \  /
                 \/               */

/* Tirar botões de edição da topbar no frontend para editores */
/*personalizar*/body.no-customize-support #wp-admin-bar-customize, /*editar página/post*/body.no-customize-support #wp-admin-bar-edit, /*editar com bricks*/body.no-customize-support #wp-admin-bar-edit_with_bricks, /*processar com bricks*/body.no-customize-support #wp-admin-bar-editor_mode {
	display:none!important;
}

/*               /\
                /  \
====================================
==      BOTÕES EDIÇÃO BRICKS      ==
==================================*/



/*==================================
==         COOKIE NOTICE          ==
====================================
                \  /
                 \/               */

#branda-cookie-notice {
	box-shadow: 0 -4px 8px rgba(0, 0, 0, 0.2)!important;
	margin: 0px 2.5% 0px 2.2%!important;
	min-width: 95% !important;
	border-radius: 14px!important;
	background-color: #000000b5 !important;
	backdrop-filter: blur(12px)!important;
	color: #fff!important;
	text-align: left!important;
	z-index: 777777;
	bottom:20px!important;
}

#branda-cookie-notice .cookie-notice-container {
	max-width: 96%!important;
	padding: 20px 10px!important;
}

@media (max-width:767px) {
	#branda-cookie-notice .cookie-notice-container .branda-cn-container {
	flex-wrap:wrap!important;
		padding: 10px 7px!important
}
}

#branda-cookie-notice a, #branda-cookie-notice a:link {
  color: #96e6ff!important;
}

#branda-cookie-notice .button.ub-cn-set-cookie {
  color: white !important;
  font-weight: 700;
  letter-spacing: 0.5px;
}

/*               /\
                /  \
====================================
==         COOKIE NOTICE          ==
==================================*/



/*==================================
==      PLUGIN ACESSIBILIDADE     ==
====================================
                \  /
                 \/               */

/*
#pojo-a11y-toolbar .pojo-a11y-toolbar-overlay ul.pojo-a11y-toolbar-items li.pojo-a11y-toolbar-item a {
    display: block;
    padding: 10px 15px;
    font-size: var(--texto-tamanho-s)!important;
    line-height: 1;
}

#pojo-a11y-toolbar .pojo-a11y-toolbar-inner {
    max-height: 70svh;
    overflow-y: scroll;
}

#pojo-a11y-toolbar .pojo-a11y-toolbar-toggle {
    border-radius: var(--radius-s) 0px 0px var(--radius-l);
    overflow: hidden;
}

html body #pojo-a11y-toolbar {
    font-size: var(--texto-tamanho-xs) !important;
}
*/

/*               /\
                /  \
====================================
==      PLUGIN ACESSIBILIDADE     ==
==================================*/



/*==================================
==             TEXTO              ==
====================================
                \  /
                 \/               */

/* Seleção de texto */
::selection {
  background: var(--cor-acao);
  color: white;
}

/* Palavra 'viúva' nos parágrafos */
p {
	text-wrap:pretty;
}

/*               /\
                /  \
====================================
==             TEXTO              ==
==================================*/



/*==================================
==           SCROLLBAR            ==
====================================
                \  /
                 \/               */

/* Firefox */
* {
	scrollbar-width: thin;
	scrollbar-color: #9f9f9f #d2d2d2;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
	width: 9px;
}

*::-webkit-scrollbar-track {
	background: #d2d2d2;
	border-radius: 50px!important;
	margin:10px 0px!important;
  }

*::-webkit-scrollbar-thumb {
	background-color: #9f9f9f;
	border-radius: 50px!important;
	border: none;
  }

/*               /\
                /  \
====================================
==           SCROLLBAR            ==
==================================*/



/*==================================
==       NÃO VAZAR O SCROLL       ==
====================================
                \  /
                 \/               */

* {
  overscroll-behavior: contain;
}

/*               /\
                /  \
====================================
==       NÃO VAZAR O SCROLL       ==
==================================*/



/*==================================
==   RODAPE NO BOTTOM DA JANELA   ==
====================================
                \  /
                 \/               */

.brx-body {
	min-height: 100dvh;
}

/*               /\
                /  \
====================================
==   RODAPE NO BOTTOM DA JANELA   ==
==================================*/



/*==================================
==      ANIMAÇÕES POR SCROLL      ==
====================================
                \  /
                 \/               */

/* Entra pela esquerda */
@keyframes entra-pela-esquerda {
  from {
    opacity: 0;
    transform: translateX(-100px);
  }
  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

.animar_entra-pela-esquerda {
  animation: entra-pela-esquerda linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

/* Entra pela direita */
@keyframes entra-pela-direita {
  from {
    opacity: 0;
    transform: translateX(100px);
  }
  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

.animar_entra-pela-direita {
  animation: entra-pela-direita linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

/* Entra por cima */
@keyframes entra-por-cima {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}

.animar_entra-por-cima {
  animation: entra-por-cima linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

/* Entra por baixo */
@keyframes entra-por-baixo {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}

.animar_entra-por-baixo {
  animation: entra-por-baixo linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

/* Fade in */
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.animar_fade-in {
  animation: fade-in linear;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

/*               /\
                /  \
====================================
==      ANIMAÇÕES POR SCROLL      ==
==================================*/



/*==================================
==            VARIAVEIS           ==
====================================
                \  /
                 \/               */

:root {
/*TEXTO*/
--texto-tamanho-pp: clamp(0.63rem, calc(0.16vw + 0.59rem), 0.81rem);
--texto-tamanho-p: clamp(0.75rem, calc(0.22vw + 0.71rem), 1rem);
--texto-tamanho-m: clamp(0.94rem, calc(0.22vw + 0.89rem), 1.19rem);
--texto-tamanho-g: clamp(1.13rem, calc(0.33vw + 1.06rem), 1.5rem);
--texto-tamanho-gg: clamp(1.38rem, calc(0.38vw + 1.3rem), 1.81rem);
--texto-tamanho-2gg: clamp(1.75rem, calc(0.43vw + 1.66rem), 2.25rem);
--texto-tamanho-3gg: clamp(2.13rem, calc(0.54vw + 2.02rem), 2.75rem);
--texto-tamanho-4gg: clamp(2.67rem, calc(0.66vw + 2.54rem), 3.43rem);

/*DISTANCIA*/	
--distancia-4gg:max(10vw, 7rem);
--distancia-3gg:max(8vw, 5.7rem);
--distancia-2gg:max(6vw, 4.1rem);
--distancia-gg:max(4.5vw, 3rem);
--distancia-g:max(3.4vw, 2.2rem);
--distancia-m:max(2.4vw, 1.5rem);
--distancia-p:max(1.4vw, 0.7rem);
--distancia-pp:max(0.5vw, 0.4rem);
--distancia-2pp:max(0.15vw, 0.2rem);
	
/*CANTO ARREDONDADO*/
--radius-pp:clamp(0.25rem, calc(-0.16vw + 0.47rem), 0.44rem);
--radius-p:clamp(0.38rem, calc(-0.22vw + 0.67rem), 0.63rem);
--radius-m:clamp(0.63rem, calc(-0.27vw + 0.99rem), 0.94rem);
--radius-g:clamp(1.13rem, calc(-0.33vw + 1.56rem), 1.5rem);
--radius-gg:clamp(1.56rem, calc(-0.38vw + 2.08rem), 2rem);
	
/*CORES*/
--cor-absoluto-preto:hsla(0, 0%, 0%, 1);
--cor-absoluto-branco:hsla(0, 0%, 100%, 1);
--cor-neutro-20:hsla(0, 0%, 20%, 1);
--cor-neutro-40:hsla(0, 0%, 40%, 1);
--cor-neutro-60:hsla(0, 0%, 60%, 1);
--cor-neutro-80:hsla(0, 0%, 80%, 1);
}

/*               /\
                /  \
====================================
==            VARIAVEIS           ==
==================================*/



/*==================================
==      VARIAVEIS EM CLASSES      ==
====================================
                \  /
                 \/               */

/*=== TEXTO ===*/
.texto-tamanho-pp {font-size:var(--texto-tamanho-pp);}
.texto-tamanho-p {font-size:var(--texto-tamanho-p);}
.texto-tamanho-m {font-size:var(--texto-tamanho-m);}
.texto-tamanho-g {font-size:var(--texto-tamanho-g);}
.texto-tamanho-gg {font-size:var(--texto-tamanho-gg);}
.texto-tamanho-2gg {font-size:var(--texto-tamanho-2gg);}
.texto-tamanho-3gg {font-size:var(--texto-tamanho-3gg);}
.texto-tamanho-4gg {font-size:var(--texto-tamanho-4gg);}

/*=== BORDER RADIUS ===*/
.radius-pp {border-radius:var(--radius-pp);overflow: hidden;}
.radius-p {border-radius:var(--radius-p);overflow: hidden;}
.radius-m {border-radius:var(--radius-m);overflow: hidden;}
.radius-g {border-radius:var(--radius-g);overflow: hidden;}
.radius-gg {border-radius:var(--radius-gg);overflow: hidden;}

/*               /\
                /  \
====================================
==      VARIAVEIS EM CLASSES      ==
==================================*/



/*==================================
==         DARK MODE ROOT         ==
====================================
                \  /
                 \/               */

/* Imagens darkmode */
html.cf-theme-light .lightmode-elemento, html.cf-theme-dark .darkmode-elemento {
	display:block!important;
}

html.cf-theme-dark .lightmode-elemento, html.cf-theme-light .darkmode-elemento {
	display:none!important;
}

/*               /\
                /  \
====================================
==         DARK MODE ROOT         ==
==================================*/



/*==================================
==          NEOMORPHISMO          ==
====================================
                \  /
                 \/               */

.neomorfismo {
    box-shadow: 5px 5px 7px var(--sombra-preta),-5px -5px 7px var(--sombra-branca),inset -5px -5px 6px var(--sombra-preta),inset 5px 5px 7px var(--sombra-branca);
}

/*               /\
                /  \
====================================
==          NEOMORPHISMO          ==
==================================*/